Confirmed: PSP update 6.37 is live.

Discussion in 'PSP - Games & Content' started by Snailface, Jan 20, 2011.

  1. Snailface
    OP

    Snailface My frothing demand for 3ds homebrew is increasing

    Member
    4,324
    1,981
    Sep 20, 2010
    Engine Room with Cyan, watching him learn.
    I just checked myself. Don't update your firmware to this scary new thing (it has no new features anyway) if you plan on keeping your hens and chickens! Let's assume this is just a security patch -- a safe bet, I'm sure. [​IMG]

    Update: Minna no Sukkiri is patched but signed homebrew still works.
     


  2. thaddius

    thaddius Charmander is not pleased.

    Member
    1,330
    264
    May 5, 2008
    Canada
    Well... at least Sony is persistent. Consistent even.
     
  3. SamAsh07

    SamAsh07 GBAtemp Addict

    Member
    2,696
    67
    Jan 27, 2009
    Bosnia and Herzegovina
    Bahrain
    Lol what does it do? Manipulate with the master key of the PSP?? Freaks.
     
  4. raulpica

    raulpica With your drill, thrust to the sky!

    Supervisor
    10,976
    7,168
    Oct 23, 2007
    Italy
    PowerLevel: 9001
    Well, I guess you should be just able to resign the HEN to work with 6.37 and it should still work.

    May not if they've fixed the Kernel Exploit in it, though.
     
  5. ut2k4master

    ut2k4master Lord Tourettes

    Member
    725
    309
    Feb 20, 2010
    Germany
    they fixed the game exploits like sukkiri and the kernel exploit of the (tn?) hen
     
  6. Snailface
    OP

    Snailface My frothing demand for 3ds homebrew is increasing

    Member
    4,324
    1,981
    Sep 20, 2010
    Engine Room with Cyan, watching him learn.
    I don't know what kind of new devilry Sony's conjured up (and I'm not updating to find out! [​IMG]) We'll know soon enough -- there's plenty of unwitting guinea pigs out there to test for us and report their findings. [​IMG]
     
  7. chartube12

    chartube12 GBAtemp Psycho!

    Member
    3,138
    466
    Mar 3, 2010
    United States
    Yes and No. If they fixed the kernel exploit plugins and back ups will no longer run but some other homebrew should still run.
     
  8. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,102
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Signing still works, but the HEN exploits don't.
     
  9. Valfore

    Valfore Advanced Member

    Newcomer
    54
    27
    Feb 3, 2008
    Well, seeing as this happened, i wouldnt be surprised if PS3 3.57-60 came out shortly
     
  10. N!ck

    N!ck Member

    Newcomer
    26
    0
    Jan 20, 2011
    United States
    6.37 is going to get hacked by HBL, and Virtuous Flame will probably release a signed HEN for 6.37.
     
  11. KevFan

    KevFan GBAtemp Fan

    Member
    331
    6
    Apr 17, 2010
    yes HBL is going to be signed to allow homebrew but no kernal exploit = no HEN for 6.37
     
  12. thedicemaster

    thedicemaster GBAtemp Addict

    Member
    2,428
    15
    Apr 26, 2008
    Netherlands
    a HEN always needs kernel access.
    it makes changes to how the system runs, and you can't do that with user-mode.
    an e-loader (like half-byte loader) for user-mode homebrew should still work though.
     
  13. N!ck

    N!ck Member

    Newcomer
    26
    0
    Jan 20, 2011
    United States
    I believe that Virtuous Flame will find a way through the exploit that HBL discovers :3
    Just like he did with 6.31/6.35
     
  14. KevFan

    KevFan GBAtemp Fan

    Member
    331
    6
    Apr 17, 2010
    ehh no...he simply ported the existing kernal exploit used in 6.20 TN HEN to 6.31/6.35 where the same kernal exploit existed, in order to make the HEN for 6.31/6.35.
    That was the only publicly known kernal exploit for 6.XX firmwares......so now there's no known publicly kernal exploit since its patched(i think) in 6.37.....
    So unless he uses a new kernal exploit or finds a way to 'sign' an eboot with kernal privilages that could run on official firmware, the might soon to come signed HBL or signed homebrews are the only homebrew that can run on 6.37...
     
  15. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,102
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    Yeah, the exploit from 6.20 was confirmed to exist in 6.35, just TN didn't feel like moving to 6.35 when his 6.20 HEN was almost done, then other people ported the exploit to 6.35 and built their own HEN out of it.
     
  16. SifJar

    SifJar Not a pirate

    Member
    6,022
    891
    Apr 4, 2009
    There's no point in an eLoader anymore when user mode homebrew can be signed and run perfectly on OFW (including this new update). Kernel mode homebrew would require a new kernel mode exploit to be found, which doesn't happen too often, and probably wouldn't be released now if it did. They'd wait a few updates I reckon before releasing another kernel mode exploit. But its not too necessary for homebrew purposes. Just allows stuff like plugins etc. via a HEN.
     
  17. Opium

    Opium PogoShell it to me ™

    Former Staff
    8,190
    43
    Dec 22, 2002
    Australia
    I bought a PSP Go yesterday and have updated it to 6.37. I have another psp running custom firmware already so i wanted another one i could keep legitimately up to date and not worry about going online and so on. Plus I wanted to connect to PSN easily so I could take advantage of the 10 free games offer.

    Hen has been patched out obviously but I can run pictodrive which has been signed. I'd love it if some other emulators worked but there is only limited homebrew that will run.
     
  18. narutofan777

    narutofan777 GBAtemp Advanced Fan

    Member
    731
    33
    Mar 27, 2010
    Afghanistan
    k i wont update. not even 4 u sony.
     
  19. Nujui

    Nujui I need something to do.

    Member
    3,933
    129
    Aug 12, 2010
    United States
    Dreamland.
    I wonder if Hen can be used on here. Probably not as they patched it didn't they/
     
  20. SifJar

    SifJar Not a pirate

    Member
    6,022
    891
    Apr 4, 2009
    As said at least three times already in this thread (which is only a page and a half long), no HEN will not work because the kernel mode exploit used in it has been patched. As has the demo based exploit used to launch it up until a few days ago (when a signed version was released; however, this version still needs the kernel mode exploit which has now been patched).